Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ORB Class Reference

ORB pseudo-objref. More...

`#include <ORB.h>`

List of all members.

## Public Types
typedef char* | ObjectId
typedef CORBA::String_var | ObjectId_var
typedef CORBA::String_out | ObjectId_out
typedef CORBA_ORB_ObjectIdList | ObjectIdList
typedef CORBA_ORB_ObjectIdList_var | ObjectIdList_var
typedef CORBA_ORB_ObjectIdList_out | ObjectIdList_out
typedef CORBA_ORB_ObjectIdList* | ObjectIdList_ptr
typedef CORBA_ORB_RequestSeq | RequestSeq
typedef CORBA_ORB_RequestSeq_var | RequestSeq_var
typedef CORBA_ORB_RequestSeq_out | RequestSeq_out
## Public Methods
CORBA::Object_ptr | string_to_object (const char *str, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
char* | object_to_string (CORBA::Object_ptr obj, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | create_list (CORBA::Long count, CORBA::NVList_ptr &new_list, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | create_named_value (CORBA::NamedValue_ptr &nmval, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | create_exception_list (CORBA::ExceptionList_ptr &exclist, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | create_environment (CORBA::Environment_ptr &new_env, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | create_context_list (CORBA::ContextList_ptr &ctxtlist, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | get_default_context (CORBA::Context_ptr &ctx, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
CORBA::Boolean | get_service_information (CORBA::ServiceType service_type, CORBA::ServiceInformation_out service_information, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
void | send_multiple_requests_oneway (const CORBA_ORB_RequestSeq &req , CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | send_multiple_requests_deferred (const CORBA_ORB_RequestSeq &req, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | get_next_response (CORBA_Request_ptr &req, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
CORBA::Boolean | poll_next_response (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
## Static Public Methods
CORBA::ORB_ptr | _duplicate (CORBA::ORB_ptr orb)
| Return a duplicate of <{orb}>. When work with this duplicate is complete, it should be freed up using <CORBA::release()>.
CORBA::ORB_ptr | _nil (void)
| Returns a pointer to a nil ORB, i.e., an non-existent ORB. This can be used for initialization or in comparisons.
## Static Public Attributes
CORBA::TypeCode_ptr | _tc_InvalidName
CORBA::TypeCode_ptr | _tc_ObjectId
CORBA::TypeCode_ptr | _tc_ObjectIdList
## Friends
class | TAO_ORB_Core
TAO_Export TAO_ORB_Core* | TAO_ORB_Core_instance (void)
| Obtain an instance of the first ORB core registered in the ORB table.

## Detailed Description

ORB pseudo-objref.

The "ORB" pseudo-object is used in bootstrapping, such as to create object references from strings. This class is intended to be inherited by others, which will provide some more of the CORBA support. Implementations of this "CORBA::ORB" class must know how to create stringify/destringify their objrefs, as well as how to marshal and unmarshal them.

## Member Typedef Documentation

typedef char* CORBA_ORB::ObjectId

typedef CORBA_ORB_ObjectIdList CORBA_ORB::ObjectIdList

typedef CORBA_ORB_ObjectIdList_out CORBA_ORB::ObjectIdList_out

typedef CORBA_ORB_ObjectIdList* CORBA_ORB::ObjectIdList_ptr

typedef CORBA_ORB_ObjectIdList_var CORBA_ORB::ObjectIdList_var

typedef CORBA::String_out CORBA_ORB::ObjectId_out

typedef CORBA::String_var CORBA_ORB::ObjectId_var

typedef CORBA_ORB_RequestSeq CORBA_ORB::RequestSeq

typedef CORBA_ORB_RequestSeq_out CORBA_ORB::RequestSeq_out

typedef CORBA_ORB_RequestSeq_var CORBA_ORB::RequestSeq_var

## Member Function Documentation

ACE_INLINE CORBA::ORB_ptr CORBA_ORB::_duplicate ( | CORBA::ORB_ptr obj )`[static]`

| Return a duplicate of <{orb}>. When work with this duplicate is complete, it should be freed up using <CORBA::release()>.

ACE_INLINE CORBA::ORB_ptr CORBA_ORB::_nil ( | void )`[static]`

| Returns a pointer to a nil ORB, i.e., an non-existent ORB. This can be used for initialization or in comparisons.

void CORBA_ORB::create_context_list ( | CORBA::ContextList_ptr & ctxtlist,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::create_environment ( | CORBA::Environment_ptr & environment,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::create_exception_list ( | CORBA::ExceptionList_ptr & list,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::create_list ( | CORBA::Long count,
| CORBA::NVList_ptr & new_list,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::create_named_value ( | CORBA::NamedValue_ptr & nv,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::get_default_context ( | CORBA::Context_ptr & ctx,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::get_next_response ( | CORBA_Request_ptr & req,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

CORBA::Boolean CORBA_ORB::get_service_information ( | CORBA::ServiceType service_type,
| CORBA::ServiceInformation_out service_information,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

char * CORBA_ORB::object_to_string ( | CORBA::Object_ptr obj,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

| Turn an object reference into a string. Each type of ORB, e.g. an IIOP ORB, must implement this. This can be used by servers to publish their whereabouts to clients. The output of this is typically eventually given to <string_to_object()> as an argument.

CORBA::Boolean CORBA_ORB::poll_next_response ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::send_multiple_requests_deferred ( | const CORBA_ORB_RequestSeq & req,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ORB::send_multiple_requests_oneway ( | const CORBA_ORB_RequestSeq & req,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

CORBA::Object_ptr CORBA_ORB::string_to_object ( | const char * str,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

| Turn a string-ified object reference back into an object pointer. Typically these strings are created using <object_to_string()>, but not necessarily locally.

## Friends And Related Function Documentation

class TAO_ORB_Core`[friend]`

TAO_Export TAO_ORB_Core* TAO_ORB_Core_instance ( | void )`[friend]`

| Obtain an instance of the first ORB core registered in the ORB table.

## Member Data Documentation

CORBA::TypeCode_ptr CORBA_ORB::_tc_InvalidName`[static]`

CORBA::TypeCode_ptr CORBA_ORB::_tc_ObjectId`[static]`

CORBA::TypeCode_ptr CORBA_ORB::_tc_ObjectIdList`[static]`

The documentation for this class was generated from the following files:

- ORB.h
- ORB.cpp
- ORB.i